Bug 1026376 - Review Request: fontawesome-fonts - Iconic font set
Summary: Review Request: fontawesome-fonts - Iconic font set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1006575
TreeView+ depends on / blocked
 
Reported: 2013-11-04 14:20 UTC by Ryan Lerch
Modified: 2014-09-12 13:45 UTC (History)
7 users (show)

Fixed In Version: fontawesome-fonts-4.0.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-19 04:00:46 UTC
sanjay.ankur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ryan Lerch 2013-11-04 14:20:57 UTC
Spec URL: http://ryanlerch.fedorapeople.org/packaging/fontawesome/fontawesome-fonts.spec
SRPM URL: http://ryanlerch.fedorapeople.org/packaging/fontawesome/fontawesome-fonts-4.0.0-1.fc20.src.rpm
Description: Font Awesome gives you scalable vector icons that can instantly be 
customized — size, color, drop shadow, and anything that can be done with the 
power of CSS.
Fedora Account System Username: ryanlerch

Comment 1 Ankur Sinha (FranciscoD) 2013-11-05 01:01:54 UTC
Hi,

I'll review both the fonts and corebird. 

Thanks,
Ankur

Comment 2 Ankur Sinha (FranciscoD) 2013-11-05 01:27:50 UTC
Reviewing the spec. It appears a new version: 4.0.2 is out. Can you please update the spec for this version? rpmlint can't find the 4.0.0 sources since they aren't around anymore

http://fortawesome.github.io/Font-Awesome/assets/font-awesome-4.0.2.zip

I'll put up the complete review later today.

Thanks,
Warm regards,
Ankur

Comment 3 Ankur Sinha (FranciscoD) 2013-11-05 03:04:11 UTC
[+] OK
[-] NA
[?] Issue

** Mandatory review guidelines: **
 [+] rpmlint output:
[asinha@ankur-laptop  SRPMS]$ rpmlint ../SPECS/fontawesome-fonts.spec ./fontawesome-fonts-4.0.0-1.fc20.src.rpm /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
../SPECS/fontawesome-fonts.spec: W: invalid-url Source0: http://fortawesome.github.io/Font-Awesome/assets/font-awesome-4.0.0.zip HTTP Error 404: Not Found
fontawesome-fonts.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
fontawesome-fonts.src: W: invalid-url Source0: http://fortawesome.github.io/Font-Awesome/assets/font-awesome-4.0.0.zip HTTP Error 404: Not Found
fontawesome-fonts.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
fontawesome-fonts.noarch: W: no-documentation
fontawesome-fonts.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
fontawesome-fonts.src: W: invalid-url Source0: http://fortawesome.github.io/Font-Awesome/assets/font-awesome-4.0.0.zip HTTP Error 404: Not Found
fontawesome-fonts-web.noarch: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 8 warnings.
[asinha@ankur-laptop  SRPMS]$

^^ 
- A new version is out which should correct the 404 errors. 
- No documentation in src tarball. Please consider asking upstream to include a
  license if possible. Otherwise please remove the %doc macro since it's
  unneeded.

 [+] License is acceptable (...)
 [+] License field in spec is correct
^
License is included in the font metadata itself: SIL Open Font License 1.1

 [?] License files included in package %docs if included in source package
 [?] License files installed when any subpackage combination is installed
^
Please consider requesting upstream to include a license file. This isn't
necessary though, since the font clearly declares what license it's under.

 [+] Spec written in American English
 [+] Spec is legible
 [?] Sources match upstream unless altered to fix permissibility issues
   Upstream SHA256: ...
   Your SHA256:     ...
^ 
Cannot check md5 since the spec is using an older version which isn't
available. To be checked once spec is updated to pack new version.

 [+] Build succeeds on at least one primary arch
 [+] Build succeeds on all primary arches or has ExcludeArch + bugs filed
 [+] BuildRequires correct, justified where necessary
 [-] Locales handled with %find_lang, not %_datadir/locale/*
 [-] %post, %postun call ldconfig if package contains shared .so files
 [+] No bundled libs
 [-] Relocatability is justified
 [+] Package owns all directories it creates
 [+] Package requires others for directories it uses but does not own
 [+] No duplication in %files unless necessary for license files
 [+] File permissions are sane
 [+] Package contains permissible code or content
 [-] Large docs go in -doc subpackage
 [-] %doc files not required at runtime
 [-] Static libs go in -static package/virtual Provides
 [-] Development files go in -devel package
 [-] -devel packages Require base with fully-versioned dependency, %_isa
 [-] No .la files
 [-] GUI app uses .desktop file, installs it with desktop-file-install
 [+] File list does not conflict with other packages' without justification
 [+] File names are valid UTF-8

** Optional review guidelines: **
 [?] Query upstream about including license files
TODO

 [-] Translations of description, summary
 [-] Builds in mock
 [-] Builds on all arches
 [?] Functions as described (e.g. no crashes)
Not yet checked. Please do this.

 [+] Scriptlets are sane
 [+] Subpackages require base with fully-versioned dependency if sensible
 [-] .pc file subpackage placement is sensible
 [+] No file deps outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin
 [-] Include man pages if available

Naming guidelines:
 [+] Package names use only a-zA-Z0-9-._+ subject to restrictions on -._+
 [+] Package names are sane
 [+] No naming conflicts
 [+] Spec file name matches base package name
 [+] Version is sane
 [+] Version does not contain ~
 [+] Release is sane
 [+] %dist tag
 [-] Case used only when necessary
 [-] Renaming handled correctly

Packaging guidelines:
 [+] Useful without external bits
 [-] No kmods
 [-] Pre-built binaries, libs removed in %prep
 [+] Sources contain only redistributable code or content
 [+] Spec format is sane
 [+] Package obeys FHS, except libexecdir, /run, /usr/target
 [+] No files in /bin, /sbin, /lib* on >= F17
 [-] Programs run before FS mounting use /run instead of /var/run
 [-] Binaries in /bin, /sbin do not depend on files in /usr on < F17
 [+] No files under /srv, /opt, /usr/local
 [+] Changelog in prescribed format
 [+] No Packager, Vendor, Copyright, PreReq tags
 [+] Summary does not end in a period
 [-] Correct BuildRoot tag on < EL6
 [-] Correct %clean section on < EL6
 [+] Requires correct, justified where necessary
 [+] Summary, description do not use trademarks incorrectly
 [-] All relevant documentation is packaged, appropriately marked with %doc
 [-] Doc files do not drag in extra dependencies (e.g. due to +x)
 [-] Code compilable with gcc is compiled with gcc
 [-] Build honors applicable compiler flags or justifies otherwise
 [-] PIE used for long-running/root daemons, setuid/filecap programs
 [-] Useful -debuginfo package or disabled and justified
 [-] Package with .pc files Requires pkgconfig on < EL6
 [-] No static executables
 [-] Rpath absent or only used for internal libs
 [+] Config files marked with %config(noreplace) or justified %config
 [+] No config files under /usr
 [-] Third party package manager configs acceptable, in %_docdir
 [-] .desktop files are sane
 [+] Spec uses macros consistently
 [+] Spec uses macros instead of hard-coded names where appropriate
 [-] Spec uses macros for executables only when configurability is needed
 [-] %makeinstall used only when alternatives don't work
 [-] Macros in Summary, description are expandable at srpm build time
 [+] Spec uses %{SOURCE#} instead of $RPM_SOURCE_DIR and %sourcedir
 [+] No software collections (scl)
 [-] Macro files named /etc/rpm/macros.%name
 [-] Build uses only python/perl/shell+coreutils/lua/BuildRequired langs
 [+] %global, not %define
 [-] Package translating with gettext BuildRequires it
 [-] Package translating with Linguist BuildRequires qt-devel
 [+] File ops preserve timestamps
 [-] Parallel make
 [+] No Requires(pre,post) notation
 [-] User, group creation handled correctly (See Packaging:UsersAndGroups)
 [-] Web apps go in /usr/share/%name, not /var/www
 [-] Conflicts are justified
 [+] One project per package
 [+] No bundled fonts
 [-] Patches have appropriate commentary
 [-] Available test suites executed in %check
 [-] tmpfiles.d used for /run, /run/lock on >= F15

File ownership list:
[asinha@ankur-laptop  result]$ for i in *rpm; do echo "== $i =="; rpmls "$i";
done
== fontawesome-fonts-4.0.0-1.fc21.noarch.rpm ==
lrwxrwxrwx  /etc/fonts/conf.d/60-fontawesome.conf
-rw-r--r--  /usr/share/fontconfig/conf.avail/60-fontawesome.conf
drwxr-xr-x  /usr/share/fonts/fontawesome
-rw-r--r--  /usr/share/fonts/fontawesome/FontAwesome.otf
-rw-r--r--  /usr/share/fonts/fontawesome/fontawesome-webfont.ttf
== fontawesome-fonts-4.0.0-1.fc21.src.rpm ==
-rw-rw-r--  font-awesome-4.0.0.zip
-rw-rw-r--  fontawesome-fonts-fontconfig.conf
-rw-rw-r--  fontawesome-fonts.spec
== fontawesome-fonts-web-4.0.0-1.fc21.noarch.rpm ==
drwxr-xr-x  /usr/share/font-awesome-4.0.0
drwxr-xr-x  /usr/share/font-awesome-4.0.0/css
-rw-r--r--  /usr/share/font-awesome-4.0.0/css/font-awesome.css
-rw-r--r--  /usr/share/font-awesome-4.0.0/css/font-awesome.min.css
drwxr-xr-x  /usr/share/font-awesome-4.0.0/less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/bordered-pulled.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/core.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/fixed-width.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/font-awesome.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/icons.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/larger.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/list.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/mixins.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/path.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/rotated-flipped.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/spinning.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/stacked.less
-rw-r--r--  /usr/share/font-awesome-4.0.0/less/variables.less
drwxr-xr-x  /usr/share/font-awesome-4.0.0/scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_bordered-pulled.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_core.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_fixed-width.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_icons.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_larger.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_list.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_mixins.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_path.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_rotated-flipped.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_spinning.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_stacked.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/_variables.scss
-rw-r--r--  /usr/share/font-awesome-4.0.0/scss/font-awesome.scss
[asinha@ankur-laptop  result]$

Requires + Provides list:
[asinha@ankur-laptop  result]$ review-req-check
== fontawesome-fonts-4.0.0-1.fc21.noarch.rpm ==
Provides:
config(fontawesome-fonts) = 4.0.0-1.fc21
font(fontawesome)
fontawesome-fonts = 4.0.0-1.fc21

Requires:
/bin/sh
/bin/sh
config(fontawesome-fonts) = 4.0.0-1.fc21
fontpackages-filesystem

== fontawesome-fonts-4.0.0-1.fc21.src.rpm ==
Provides:

Requires:
fontpackages-devel

== fontawesome-fonts-web-4.0.0-1.fc21.noarch.rpm ==
Provides:
fontawesome-fonts-web = 4.0.0-1.fc21

Requires:
fontawesome-fonts = 4.0.0-1.fc21


- The fontconfig priority is OK. 
- The packaging is mostly OK. I just need to make a few more checks with the
updated version and I should be able to approve it.



- I see the fonts contain youtube etc in them. I think they're OK, and in line with the trademarks, but you should check and consult LEGAL if necessary.

https://developers.google.com/youtube/branding
https://developer.linkedin.com/documents/branding-guidelines

- The font version according to font metadata is 3.2.0. Worth pointing out to upstream and requesting them to update the metadata each time they make a new release.

Thanks,
Warm regards,
Ankur

Comment 4 Ryan Lerch 2013-11-05 15:22:44 UTC
Thanks for the feedback!

I have updated it to 4.0.3, and fixed the source links. Also i have removed the %doc macro.

http://ryanlerch.fedorapeople.org/packaging/fontawesome/2/fontawesome-fonts-4.0.3-0.fc20.src.rpm
http://ryanlerch.fedorapeople.org/packaging/fontawesome/2/fontawesome-fonts.spec

I checked the trademarked logos, but should i just send an email to legal@ anyway?

Comment 5 Ankur Sinha (FranciscoD) 2013-11-05 22:29:33 UTC
(In reply to Ryan Lerch from comment #4)
> Thanks for the feedback!
> 
> I have updated it to 4.0.3, and fixed the source links. Also i have removed
> the %doc macro.
> 
> http://ryanlerch.fedorapeople.org/packaging/fontawesome/2/fontawesome-fonts-
> 4.0.3-0.fc20.src.rpm
> http://ryanlerch.fedorapeople.org/packaging/fontawesome/2/fontawesome-fonts.
> spec
> 
> I checked the trademarked logos, but should i just send an email to legal@
> anyway?

I think it's safer to mail Legal and get them to look at it, just in case. It'll delay the review by a few days at the most, but we'll be sure once they've had a look.

I'll look at the updated spec/srpm today and update the review.

Thanks,
Ankur

Comment 6 Tom "spot" Callaway 2013-11-19 15:28:31 UTC
I think given that A) the logos in this font are the ones with specific permissions granted by their owners and B) it is highly likely in the context of this font that such logos will only be used in compliance with those permissions, they are acceptable in Fedora.

That said, please add a README-Trademarks.txt file which notes these marks, their owners, and provides links to their respective trademark use policies.

Comment 7 Ankur Sinha (FranciscoD) 2013-11-20 09:29:11 UTC
(In reply to Tom "spot" Callaway from comment #6)
> I think given that A) the logos in this font are the ones with specific
> permissions granted by their owners and B) it is highly likely in the
> context of this font that such logos will only be used in compliance with
> those permissions, they are acceptable in Fedora.
> 
> That said, please add a README-Trademarks.txt file which notes these marks,
> their owners, and provides links to their respective trademark use policies.

Thanks for the clarification Spot. 

Ryan, I see upstream has a branch called "no-font" where he's completely removed fontawesome-fonts (or is trying to). Do you want to wait for him to complete that and then package up corebird, if you're only looking to package fontawesome-fonts because they're needed by corebird? If you'd like to maintain the fonts even if corebird doesn't use them, I'll continue the review.

https://github.com/baedert/corebird/tree/no-font

Thanks,
Warm regards,
Ankur

Comment 8 Ankur Sinha (FranciscoD) 2013-11-21 03:21:11 UTC
From https://bugzilla.redhat.com/show_bug.cgi?id=1026380#c12

FYI: With todays commit #9fea73447ebb86d82242e104d7804d78e221dbe8 corebird no longer uses fontawesome: https://github.com/baedert/corebird/commit/9fea73447ebb86d82242e104d7804d78e221dbe8

Comment 9 Petr Vobornik 2013-12-02 16:50:35 UTC
Hi, thank you for packaging this font. We would like to use it as well in FreeIPA. There is an issue though.

Current otf and ttf versions of this font contains a bug: embeddable permissions are set to "printable"(fstype=0004) instead of "installable"(fstype=0000). This causes a bug when the font is served to Internet Explorer 9+: 

  CSS3114: @font-face failed OpenType embedding permission check. 
  Permission must be Installable.
  fontawesome-webfont.ttf

Can you please set the flag to 0 during rpm build until upstream fixes it?

There is a discussion on fedora devel about it: https://lists.fedoraproject.org/pipermail/devel/2013-November/192518.html

I'm packaging Open Sans fonts - bug 1035897 where it's fixed by ttembed tool which is being packages as well - bug 1036754.

Comment 10 Ryan Lerch 2013-12-05 16:13:17 UTC
I originally submitted this package review, as this was a dep for corebird. 

However, corebird no longer requires fontawesome, so I am no going to pursue packaging this anymore. 

If anyone wants to take it over, feel free.

Comment 11 Petr Vobornik 2014-01-02 15:22:32 UTC
I can take over.

New version:
- embeddable flag set to installable by ttembed
- web package license updated to MIT (according to http://fontawesome.io/license/)
- README-Trademarks.txt added
- url changed to http://fontawesome.io/

Spec URL: http://pvoborni.fedorapeople.org/fontawesome/fontawesome-fonts.spec
SRPM URL: http://pvoborni.fedorapeople.org/fontawesome/fontawesome-fonts-4.0.3-1.fc20.src.rpm

Comment 12 Ankur Sinha (FranciscoD) 2014-01-06 10:32:19 UTC
Hi Petr,

Package looks OK now:

[asinha@ankur-laptop  SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm ../SPECS/fontawesome-fonts.spec ./fontawesome-fonts-4.0.3-1.fc20.src.rpm
fontawesome-fonts.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
fontawesome-fonts.noarch: W: invalid-url URL: http://fontawesome.io/ HTTP Error 302: The HTTP server returned a redirect error that would lead to an infinite loop.
The last 30x error message was:
Found
fontawesome-fonts.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
fontawesome-fonts-web.noarch: W: no-documentation
fontawesome-fonts.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
4 packages and 1 specfiles checked; 0 errors, 5 warnings.
[asinha@ankur-laptop  SRPMS]$

> Nothing serious here.

[asinha@ankur-laptop  result]$ review-req-check
== fontawesome-fonts-4.0.3-1.fc21.noarch.rpm ==
Provides:
config(fontawesome-fonts) = 4.0.3-1.fc21
font(fontawesome)
fontawesome-fonts = 4.0.3-1.fc21

Requires:
/bin/sh
/bin/sh
config(fontawesome-fonts) = 4.0.3-1.fc21
fontpackages-filesystem

== fontawesome-fonts-4.0.3-1.fc21.src.rpm ==
Provides:

Requires:
fontpackages-devel
ttembed

== fontawesome-fonts-web-4.0.3-1.fc21.noarch.rpm ==
Provides:
fontawesome-fonts-web = 4.0.3-1.fc21

Requires:
fontawesome-fonts = 4.0.3-1.fc21

[asinha@ankur-laptop  result]$

[asinha@ankur-laptop  result]$ for i in *.rpm ; do echo "** $i **" ; rpmls "$i"; done
** fontawesome-fonts-4.0.3-1.fc21.noarch.rpm **
lrwxrwxrwx  /etc/fonts/conf.d/60-fontawesome.conf
drwxr-xr-x  /usr/share/doc/fontawesome-fonts
-rw-r--r--  /usr/share/doc/fontawesome-fonts/README-Trademarks.txt
-rw-r--r--  /usr/share/fontconfig/conf.avail/60-fontawesome.conf
drwxr-xr-x  /usr/share/fonts/fontawesome
-rw-r--r--  /usr/share/fonts/fontawesome/FontAwesome.otf
-rw-r--r--  /usr/share/fonts/fontawesome/fontawesome-webfont.ttf
** fontawesome-fonts-4.0.3-1.fc21.src.rpm **
-rw-rw-r--  README-Trademarks.txt
-rw-rw-r--  font-awesome-4.0.3.zip
-rw-rw-r--  fontawesome-fonts-fontconfig.conf
-rw-rw-r--  fontawesome-fonts.spec
** fontawesome-fonts-web-4.0.3-1.fc21.noarch.rpm **
drwxr-xr-x  /usr/share/font-awesome-4.0.3
drwxr-xr-x  /usr/share/font-awesome-4.0.3/css
-rw-r--r--  /usr/share/font-awesome-4.0.3/css/font-awesome.css
-rw-r--r--  /usr/share/font-awesome-4.0.3/css/font-awesome.min.css
drwxr-xr-x  /usr/share/font-awesome-4.0.3/less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/bordered-pulled.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/core.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/fixed-width.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/font-awesome.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/icons.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/larger.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/list.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/mixins.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/path.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/rotated-flipped.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/spinning.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/stacked.less
-rw-r--r--  /usr/share/font-awesome-4.0.3/less/variables.less
drwxr-xr-x  /usr/share/font-awesome-4.0.3/scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_bordered-pulled.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_core.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_fixed-width.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_icons.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_larger.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_list.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_mixins.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_path.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_rotated-flipped.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_spinning.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_stacked.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/_variables.scss
-rw-r--r--  /usr/share/font-awesome-4.0.3/scss/font-awesome.scss
[asinha@ankur-laptop  result]$

XXX APPROVED XXX

Comment 13 Petr Vobornik 2014-01-07 08:32:26 UTC
New Package SCM Request
=======================
Package Name: fontawesome-fonts
Short Description: Iconic font set
Owners: pvoborni
Branches: f19 f20
InitialCC:fonts-sig

Comment 14 Gwyn Ciesla 2014-01-07 13:06:05 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2014-01-09 14:33:59 UTC
fontawesome-fonts-4.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fontawesome-fonts-4.0.3-1.fc19

Comment 16 Fedora Update System 2014-01-09 14:35:55 UTC
fontawesome-fonts-4.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fontawesome-fonts-4.0.3-1.fc20

Comment 17 Fedora Update System 2014-01-10 07:41:15 UTC
fontawesome-fonts-4.0.3-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 18 Fedora Update System 2014-01-19 04:00:46 UTC
fontawesome-fonts-4.0.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2014-01-19 04:09:11 UTC
fontawesome-fonts-4.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 20 Petr Vobornik 2014-09-12 12:41:42 UTC
Package Change Request
======================
Package Name: fontawesome-fonts
New Branches: epel7
Owners: pvoborni

because of: https://bugzilla.redhat.com/show_bug.cgi?id=1138536

Comment 21 Gwyn Ciesla 2014-09-12 13:45:13 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.